Bug 1169914 - mysql-mmm bug with newer Net::ARP version numbers
Summary: mysql-mmm bug with newer Net::ARP version numbers
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mysql-mmm
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-02 17:23 UTC by Wayne Davison
Modified: 2016-02-24 17:59 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-24 17:59:48 UTC


Attachments (Terms of Use)
Fixes the issues described in the bug. (1.15 KB, patch)
2014-12-02 17:23 UTC, Wayne Davison
no flags Details | Diff

Description Wayne Davison 2014-12-02 17:23:44 UTC
Created attachment 963851 [details]
Fixes the issues described in the bug.

Description of problem:

I built the epel 6 mysql-mmm src rpm for epel 7 and ran into an issue with the adding of IPs not finishing the ARP code.  The check "$Net::ARP::VERSION < 1.0" outputs a warning for a version such as "1.0.8", and since warnings are fatal, the code dies before running the send_arp() steps.

If you're planning to package mysql-mmm for RHEL 7, you'll want to fix this.  Patch attached.

This was apparently not a problem in epel 5 because the perl-Net-ARP-1.0.6-2.1.el5.x86_64 rpm has just the value "1.0" in $Net::ARP::VERSION.  If that changes in epel 5 and/or 6, you'll need this fix there too.

Version-Release number of selected component (if applicable): 2.2.1-2

How reproducible: always

Steps to Reproduce:
1. setup mysql-mmm and check the log files after an IP-moving event.

Additional info:

The warning gets output to stderr (which is not captured), so the log file originally contained a failure that was described as "undef" -- very unuseful:

2014/12/02 00:10:28 FATAL Couldn't configure IP '1.2.3.4' on interface 'eth0': undef

I changed the _execute() code to use "2>&1" so that stderr messages get included in the output (since warnings and errors are fatal, this does not interfere with the regular output).  That improved the logged message to be:

2014/12/02 00:36:24 FATAL Couldn't configure IP '1.2.3.4' on interface 'eth0': Argument "1.0.8" isn't numeric in numeric lt (<) at /usr/share/perl5/vendor_perl/MMM/Agent/Helpers/Network.pm line 137.

Comment 1 Ruben Kerkhof 2015-05-10 11:05:29 UTC
Hi Wayne,

Thanks for the report, and sorry for the late response!
I'll look into this next week.

Kind regards,

Ruben

Comment 2 Fedora Update System 2015-12-10 17:30:32 UTC
mysql-mmm-2.2.1-14.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7507b803ad

Comment 3 Fedora Update System 2015-12-10 17:30:32 UTC
mysql-mmm-2.2.1-13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac67ef7547

Comment 4 Ruben Kerkhof 2015-12-10 17:32:22 UTC
Hi Wayne,

Sorry it took so long for me to look into this.
I've requested a new branch for mysql-mmm for EPEL7, and will submit a build with your patch as soon as it is created.

Comment 5 Fedora Update System 2015-12-10 22:28:35 UTC
mysql-mmm-2.2.1-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3ac3bc61ec

Comment 6 Fedora Update System 2015-12-11 06:00:10 UTC
mysql-mmm-2.2.1-14.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mysql-mmm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7507b803ad

Comment 7 Carl George 2015-12-11 14:04:49 UTC
There is a slight inconsistency in the EPEL7 build.

http://pkgs.fedoraproject.org/cgit/mysql-mmm.git/commit/?h=epel7&id=4f41ab1575d79b79577da7e27b646235e925e6f9

+Release: 13%{?dist}

+* Thu Dec 10 2015 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.2.1-14

If you would like assistance, feel free to add me as a co-maintainer and I can bump the release line to -14 and rebuild.

Comment 8 Fedora Update System 2015-12-11 19:56:58 UTC
mysql-mmm-2.2.1-13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mysql-mmm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac67ef7547

Comment 9 Ruben Kerkhof 2015-12-11 22:29:36 UTC
Ah, I missed that. It's the release that is right, but the changelog is wrong.
I branched EPEL7 from F22.

I'd welcome your help as a co-maintainer! Please request access in pkgdb and I'll approve it.

Comment 10 Fedora Update System 2015-12-12 20:23:05 UTC
mysql-mmm-2.2.1-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mysql-mmm'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3ac3bc61ec

Comment 11 Fedora Update System 2015-12-28 21:25:33 UTC
mysql-mmm-2.2.1-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Steven Hadfield 2016-01-20 18:47:46 UTC
Was the issue regarding the EPEL 7 version number corrected? Unless I'm missing something, the latest version in stable (mysql-mmm-agent-2.2.1-13.el7.noarch.rpm) does not include the fix.

Comment 13 Ruben Kerkhof 2016-01-20 19:10:34 UTC
As mentioned in comment #9, only the changelog is off-by-one. I'll now go and correct that.

Steven, how did you conclude that mysql-mmm-agent-2.2.1-13.el7.noarch.rpm doesn't contain the fix?

Comment 14 Ruben Kerkhof 2016-01-20 19:20:37 UTC
Hmm, I was just going to test this but there has never been an epel7 build for perl-Net-ARP. Wayne, may I ask if you recall where you got perl-Net-ARP from when you developed your patch?

Comment 15 Wayne Davison 2016-01-20 21:28:51 UTC
I built a perl-Net-ARP rpm from an earlier fedora src rpm I snagged from rpmfind.net.

Comment 16 Steven Hadfield 2016-01-20 22:03:10 UTC
FWIW, I found mysql-mmm initially from Carl George's Copr repository (https://copr.fedoraproject.org/coprs/carlgeorge/mysql-mmm.el7/packages/) which includes perl-Net-Arp. I switched back to EPEL 7 hoping for this fix.

Comment 17 Steven Hadfield 2016-01-20 22:06:06 UTC
Ruben, I concluded the issue was not fixed by first installing on a CentOS 7 and viewing the source in /usr/share/perl5/vendor_perl/MMM/Agent/Helpers/Network.pm on line 136. I confirmed it by downloading the latest copy from an EPEL mirror: http://mirror.us.leaseweb.net/epel/7/x86_64/m/mysql-mmm-agent-2.2.1-13.el7.noarch.rpm and seeing the same result.

Comment 18 Ruben Kerkhof 2016-01-21 11:27:54 UTC
Steven, you are absolutely right. I added the patch but did not apply it.
I'm now building mysql-mmm-agent-2.2.2-14 which will correct this.

I've just requested an epel7 build of perl-Net-ARP as well (#1300658)

Comment 19 Fedora Update System 2016-01-21 11:31:33 UTC
mysql-mmm-2.2.1-14.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4ec36e55e1

Comment 20 Fedora Update System 2016-01-22 07:56:00 UTC
mysql-mmm-2.2.1-14.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4ec36e55e1

Comment 21 Fedora Update System 2016-02-24 17:59:46 UTC
mysql-mmm-2.2.1-14.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.